Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.runtime
Interface WLDFFileArchiveRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, WebLogicMBean, WLDFArchiveRuntimeMBean

public interface WLDFFileArchiveRuntimeMBean
extends WLDFArchiveRuntimeMBean

Use this interface to collect statistical information about file-based WLDF archives.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getIncrementalIndexCycleCount()` The number of times incremental indexing cycles were executed since the server was started.
`long` | `getIncrementalIndexTime()` The cumulative time, in milliseconds, spent performing incremental indexing since the server was started.
`int` | `getIndexCycleCount()` The number of times indexing cycles were executed since the server was started.
`long` | `getIndexTime()` The cumulative indexing time, in milliseconds, since the server was started.
`int` | `getRotatedFilesCount()` The number of rotated log file fragments.

Methods inherited from interface weblogic.management.runtime.WLDFArchiveRuntimeMBean
`getRecordRetrievalTime, getRecordSeekCount, getRecordSeekTime, getRetrievedRecordCount`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getIncrementalIndexCycleCount

    public int getIncrementalIndexCycleCount()

  The number of times incremental indexing cycles were executed since the server was started.

  Returns:
    Number of incremental indexing cycles

### getIncrementalIndexTime

    public long getIncrementalIndexTime()

  The cumulative time, in milliseconds, spent performing incremental indexing since the server was started.

  Returns:
    Cumulative time spent performing incremental indexing

### getIndexCycleCount

    public int getIndexCycleCount()

  The number of times indexing cycles were executed since the server was started.

  Returns:
    Number of indexing cycles

### getIndexTime

    public long getIndexTime()

  The cumulative indexing time, in milliseconds, since the server was started.

  Returns:
    Cumulative indexing time

### getRotatedFilesCount

    public int getRotatedFilesCount()

  The number of rotated log file fragments.

  Returns:
    Number of fragments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD